Inventory & products
Update a product
PATCH
/inventory/products/{id}Scope
inventory:writeAuth Bearer keyUpdates catalogue fields. Omitted fields stay as they are. Stock cannot be changed here — use the stock endpoint so concurrent sales are never overwritten.
Path parameters
idstringrequiredResponses
200Product
Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X PATCH "https://business.boundlesspay.com/api/public/v1/inventory/products/{id}" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY"